curl --request PATCH \
--url https://api.synctera.com/v2/ach/gateways/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"custom_headers": {
"Content-Type": [
"application/json",
"text/html"
],
"Host": [
"https://host.com"
]
},
"disabled": true,
"max_wait_ms": 2,
"url": "https://fintech.com/ach/auth"
}
'import requests
url = "https://api.synctera.com/v2/ach/gateways/{id}"
payload = {
"custom_headers": {
"Content-Type": ["application/json", "text/html"],
"Host": ["https://host.com"]
},
"disabled": True,
"max_wait_ms": 2,
"url": "https://fintech.com/ach/auth"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
custom_headers: {'Content-Type': ['application/json', 'text/html'], Host: ['https://host.com']},
disabled: true,
max_wait_ms: 2,
url: 'https://fintech.com/ach/auth'
})
};
fetch('https://api.synctera.com/v2/ach/gateways/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tenant": "abcdef_ghijkl",
"created": "2010-05-06T12:23:34.321Z",
"custom_headers": {
"Content-Type": [
"application/json",
"text/html"
],
"Host": [
"https://host.com"
]
},
"disabled": false,
"id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"max_wait_ms": 1500,
"updated": "2010-05-06T12:23:34.321Z",
"url": "https://fintech.com/ach/auth"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Update Gateway Endpoint Configuration By ID
Gateway Endpoint Configuration object represents details required for Auth flow Request to the Fintech (Tenant)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique resource identifier
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Body
Gateway Config Object fields allowed for update
Gateway Config Update Request
Custom http headers for the Auth request to Gateway URL
Show child attributes
Show child attributes
{
"Content-Type": ["application/json", "text/html"],
"Host": ["https://host.com"]
}
Allows to disable/enable Gateway Config for the Fintech (Tenant)
Maximum amount of time in milliseconds that we will wait for the response from Gateway URL request
x >= 1The URL address which will be used for the ACH in Auth Flow requests to get authorization from the fintech to process the transaction
"https://fintech.com/ach/auth"
Response
Updated Gateway Config Object
Represents a Gateway Config Object
The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.
"abcdef_ghijkl"
Time when Gateway Config object was created
"2010-05-06T12:23:34.321Z"
Optional parameter that allows to configure custom http headers for the Auth request to Gateway URL if needed
Show child attributes
Show child attributes
{
"Content-Type": ["application/json", "text/html"],
"Host": ["https://host.com"]
}
Indicates if the Gateway Config is active for Auth Flow for the current Fintech (Tenant)
Identifier of the Gateway Config object
"b01db9c7-78f2-4a99-8aca-1231d32f9b96"
Shows maximum amount of time in milliseconds that we will wait for the response from Gateway URL Auth request
x >= 1Time when Gateway Config object was updated
"2010-05-06T12:23:34.321Z"
The URL address which will be used for the ACH in Auth Flow requests to get authorization from the fintech to process the transaction
"https://fintech.com/ach/auth"
Was this page helpful?

